﻿@model Project_Prn211_4.Models.Review
@addTagHelper *, Microsoft.AspNetCore.Mvc.TagHelpers

<!DOCTYPE html>
<html>
<head>
    <meta name="viewport" content="width=device-width" />
    <title>Create Feedback</title>
    <style>
        /* Các lớp CSS tùy chỉnh để cải thiện giao diện */
        body {
            font-family: Arial, sans-serif;
            margin: 20px;
        }

        h1 {
            text-align: center;
        }

        form {
            max-width: 400px;
            margin: 0 auto;
        }

        .form-group {
            margin-bottom: 20px;
        }

        label {
            display: block;
            font-weight: bold;
        }

        .form-control {
            width: 100%;
            padding: 10px;
            border: 1px solid #ddd;
            border-radius: 4px;
        }

        .text-danger {
            color: red;
        }

        .btn-primary {
            background-color: #007bff;
            color: white;
            padding: 10px 20px;
            border: none;
            border-radius: 4px;
            cursor: pointer;
        }

            .btn-primary:hover {
                background-color: #0056b3;
            }
    </style>
</head>
<body>
    <h1>Create Feedback</h1>

    <form asp-action="SaveFeedback" method="post">
        <div class="form-group">
            <label asp-for="Rating">Rating:</label>
            <input asp-for="Rating" class="form-control" type="number" min="0" max="5" step="1" />
            <span asp-validation-for="Rating" class="text-danger"></span>
        </div>
        <div class="form-group">
            <label asp-for="Comment">Comment:</label>
            <textarea asp-for="Comment" class="form-control"></textarea>
            <span asp-validation-for="Comment" class="text-danger"></span>
        </div>
        <div class="form-group">
            <input type="hidden" asp-for="ProductId" />
        </div>
        <div class="form-group">
            <input type="submit" value="Submit" class="btn btn-primary" />
        </div>
    </form>
</body>
</html>
